linux: 2.6.32-46.107 -proposed tracker

Bug #1158939 reported by Steve Conklin on 2013-03-22
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-ports-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-46.107 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 22. March 2013 18:53 UTC
kernel-stable-Certification-testing-end:Friday, 22. March 2013 19:11 UTC
kernel-stable-Prepare-package-end:Saturday, 23. March 2013 18:07 UTC
kernel-stable-Promote-to-proposed-start:Saturday, 23. March 2013 18:07 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 23. March 2013 20:05 UTC
kernel-stable-Verification-testing-start:Saturday, 23. March 2013 21:06 UTC
kernel-stable-Verification-testing-end:Friday, 29. March 2013 13:43 UTC
kernel-stable-Certification-testing-start:Friday, 29. March 2013 13:43 UTC
kernel-stable-Security-signoff-start:Friday, 29. March 2013 13:43 UTC
kernel-stable-Regression-testing-start:Friday, 29. March 2013 13:43 UTC
kernel-stable-Regression-testing-end:Monday, 01. April 2013 14:02 UTC
kernel-stable-Security-signoff-end:Monday, 01. April 2013 21:02 UTC
kernel-stable-Promote-to-updates-start:Thursday, 04. April 2013 10:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 08. April 2013 22:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 08. April 2013 23:59 UTC

Steve Conklin (sconklin) on 2013-03-22
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-03-22
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1159191

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2013-03-23
description: updated
Brad Figg (brad-figg) on 2013-03-23
description: updated
Brad Figg (brad-figg) on 2013-03-29
description: updated

Hardware Certification have begun testing this -proposed kernel.

Paul Larson (pwlars) on 2013-04-01
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-04-01
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-04-01
description: updated

Hardware Certification have completed testing this -proposed kernel. Three servers could not be tested due to access issues in the datacenter, but no regressions were observed in systems that were tested. The report is available here: http://people.canonical.com/~hwcert/sru-testing/lucid/2.6.32-46.107/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-04-04
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-46.107

---------------
linux (2.6.32-46.107) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1158939

  [ Ben Hutchings ]

  * SAUCE: signal: Fix use of missing sa_restorer field
    - LP: #1153813
    - CVE-2013-0914

  [ Upstream Kernel Changes ]

  * ipvs: fix info leak in getsockopt(IP_VS_SO_GET_TIMEOUT)
    - LP: #1156732
    - CVE-2012-6540
  * kernel/signal.c: use __ARCH_HAS_SA_RESTORER instead of SA_RESTORER
    - LP: #1153813
    - CVE-2013-0914

linux (2.6.32-46.106) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1158829

  [ Upstream Kernel Changes ]

  * tmpfs: fix use-after-free of mempolicy object
    - LP: #1143815
    - CVE-2013-1767
  * keys: fix race with concurrent install_user_keyrings()
    - LP: #1152788
    - CVE-2013-1792
  * signal: always clear sa_restorer on execve
    - LP: #1153813
    - CVE-2013-0914
  * Fix ptrace when task is in task_is_stopped(), state
    - LP: #1145234
  * xfrm_user: fix info leak in copy_to_user_tmpl()
    - LP: #1156716
    - CVE-2012-6537
  * xfrm_user: fix info leak in copy_to_user_policy()
    - LP: #1156716
    - CVE-2012-6537
  * xfrm_user: fix info leak in copy_to_user_state()
    - LP: #1156716
    - CVE-2012-6537
  * net: fix info leak in compat dev_ifconf()
    - LP: #1156728
    - CVE-2012-6539
 -- Steve Conklin <email address hidden> Fri, 22 Mar 2013 13:57:09 -0500

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-04-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers